Bug 558460 (CVE-2010-0393) - CVE-2010-0393: cups possible arbitrary code execution via suid lppasswd (STR #3482)
Summary: CVE-2010-0393: cups possible arbitrary code execution via suid lppasswd (STR ...
Keywords:
Status: CLOSED WONTFIX
Alias: CVE-2010-0393
Product: Security Response
Classification: Other
Component: vulnerability
Version: unspecified
Hardware: All
OS: Linux
high
high
Target Milestone: ---
Assignee: Red Hat Product Security
QA Contact:
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2010-01-25 12:38 UTC by Tim Waugh
Modified: 2019-09-29 12:34 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2010-03-08 20:08:05 UTC


Attachments (Terms of Use)


Links
System ID Priority Status Summary Last Updated
CUPS Bugs and Features 3482 None None None Never

Description Tim Waugh 2010-01-25 12:38:05 UTC
CUPS 1.3.x and earlier ships setuid binaries which use environment variables to set the directories in which they operate.

Comment 7 Josh Bressers 2010-01-27 19:40:00 UTC
I don't think this affects RHEL 3 and 4. The _cupsGetlang function doesn't exist in those versions.

I also don't see any localization happening in lppasswd.c.

Tim, am I missing something?

Thanks.

Comment 9 Tim Waugh 2010-02-02 13:26:53 UTC
You are correct on all counts.

RHEL-5: not setuid
RHEL-4: no localization
RHEL-3: no localization

Denial of service for lppasswd is not really anything to worry about I think.

Comment 10 Vincent Danen 2010-03-04 05:05:02 UTC
This issue is now public, although the upstream bug is still private: http://www.cups.org/str.php?L3482 (Ubuntu has released an update addressing this).

Comment 11 Vincent Danen 2010-03-08 20:08:05 UTC
This issue does not affect Red Hat Enterprise Linux 3 and 4 due to the lack of localization in lppasswd as provided in those releases.  The affected code is present in Red Hat Enterprise Linux 5, however lppasswd is not shipped setuid so is not vulnerable to this issue.  If a user were to enable the setuid bit on lppasswd, the impact would only be a crash of lppasswd due to FORTIFY_SOURCE protections.

There are no plans to correct this issue in Red Hat Enterprise Linux 5.


Note You need to log in before you can comment on or make changes to this bug.